Qt 5.9 | Qt 3D | C++ Classes | Qt3DWindow

Qt 5.9.9 Reference Documentation

# Qt3DWindow Class

(Qt3DExtras::Qt3DWindow)

- List of all members, including inherited members

## Public Functions

| Qt3DWindow(QScreen *screen = nullptr)
| ~Qt3DWindow()
Qt3DRender::QFrameGraphNode * | activeFrameGraph() const
Qt3DRender::QCamera * | camera() const
Qt3DExtras::QForwardRenderer * | defaultFrameGraph() const
void | registerAspect(Qt3DCore::QAbstractAspect *aspect)
void | registerAspect(const QString &name)
Qt3DRender::QRenderSettings * | renderSettings() const
void | setActiveFrameGraph(Qt3DRender::QFrameGraphNode *activeFrameGraph)
void | setRootEntity(Qt3DCore::QEntity *root)

## Protected Functions

void | resizeEvent(QResizeEvent *)
void | showEvent(QShowEvent *e)

## Member Function Documentation

### Qt3DWindow::Qt3DWindow(QScreen *screen = nullptr)

Default constructs an instance of Qt3DWindow.

### Qt3DWindow::~Qt3DWindow()

Destroys the instance of Qt3DWindow.

### Qt3DRender::QFrameGraphNode *Qt3DWindow::activeFrameGraph() const

See also setActiveFrameGraph().

### Qt3DRender::QCamera *Qt3DWindow::camera() const

### Qt3DExtras::QForwardRenderer *Qt3DWindow::defaultFrameGraph() const

### void Qt3DWindow::registerAspect(Qt3DCore::QAbstractAspect *aspect)

### void Qt3DWindow::registerAspect(const QString &name)

### Qt3DRender::QRenderSettings *Qt3DWindow::renderSettings() const

### `[protected]` void Qt3DWindow::resizeEvent(QResizeEvent *)

### void Qt3DWindow::setActiveFrameGraph(Qt3DRender::QFrameGraphNode *activeFrameGraph)

See also activeFrameGraph().

### void Qt3DWindow::setRootEntity(Qt3DCore::QEntity *root)

### `[protected]` void Qt3DWindow::showEvent(QShowEvent *e)